curl --request POST \
--url https://api.services.payward.com/v1/users/{user_id}/travel-rule/verifications \
--header 'API-Key: <api-key>' \
--header 'API-Nonce: <api-key>' \
--header 'API-Sign: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"address": "0x8ba1f109551bD432803012645Ac136ddd64DBA72",
"method": "hosted_declaration"
}
'{
"data": {
"verification_id": "ver_0195e4d2-a4d0-7b12-8f4a-123456789abc",
"wallet_type": "hosted",
"method": "hosted_declaration",
"status": "verified"
}
}Travel Rule verifications
Create Travel Rule verification
Creates a Travel Rule verification case for a known wallet address.
Use this endpoint when the wallet address is known before a specific product flow needs to continue.
POST
/
v1
/
users
/
{user_id}
/
travel-rule
/
verifications
curl --request POST \
--url https://api.services.payward.com/v1/users/{user_id}/travel-rule/verifications \
--header 'API-Key: <api-key>' \
--header 'API-Nonce: <api-key>' \
--header 'API-Sign: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"address": "0x8ba1f109551bD432803012645Ac136ddd64DBA72",
"method": "hosted_declaration"
}
'{
"data": {
"verification_id": "ver_0195e4d2-a4d0-7b12-8f4a-123456789abc",
"wallet_type": "hosted",
"method": "hosted_declaration",
"status": "verified"
}
}Authorizations
Your public API key. Identifies the partner making the request.
HMAC signature over the request, computed with your private key.
Monotonically increasing nonce included in the request signature.
Path Parameters
Globally unique public identifier for a user.
Required string length:
14 - 42Body
application/json
Response
Response returned after creating a Travel Rule verification case.
Travel Rule verification case.
Show child attributes
Show child attributes